Bug 637212 - Review Request: yubikey-ksm - The YubiKey Key Storage Module
Summary: Review Request: yubikey-ksm - The YubiKey Key Storage Module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ricky Zhou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-24 15:23 UTC by Dennis Gilmore
Modified: 2011-02-13 08:55 UTC (History)
6 users (show)

Fixed In Version: yubikey-ksm-1.5-3.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-13 00:18:37 UTC
rzhou: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Dennis Gilmore 2010-09-24 15:23:12 UTC
Spec URL: http://ausil.us/packages/yubikey-ksm.spec
SRPM URL: http://ausil.us/packages/yubikey-ksm-1.5-1.fc14.src.rpm
Description: The YubiKey Key Storage Module (YK-KSM) provides a AES key storage facility for use with a YubiKey validation server.

Comment 1 Ricky Zhou 2010-09-27 21:43:09 UTC
I think this needs to require php-pdo.  The user would then need to install the more specific php-pdo-* package for whatever DB they want to use with the package.

I'm not sure what the practice is for this, but do we really want to package the .htaccess file in /usr/share/ykksm as opposed to placing a sample config under /etc/httpd/conf.d or /usr/share/doc/yubikey-ksm*?

Apache people don't recommend using .htaccess files when one has access to the server config, and including this forces admins to change/delete it if they want to make changes.

Comment 2 Dennis Gilmore 2011-01-07 02:41:42 UTC
Spec URL: http://ausil.us/packages/yubikey-ksm.spec
SRPM URL: http://ausil.us/packages/yubikey-ksm-1.5-3.fc15.src.rpm

added requires on php-pdo
moved the htaccess file to docs

Comment 3 Ricky Zhou 2011-01-08 01:46:31 UTC
X - rpmlint clean (normal google code warning)

yubikey-ksm-1.5-3.fc14.noarch.rpm:
yubikey-ksm.src: W: invalid-url Source0: http://yubikey-ksm.googlecode.com/files/yubikey-ksm-1.5.tgz HTTP Error 404: Not Found

yubikey-ksm-1.5-3.fc14.noarch.rpm
yubikey-ksm.noarch: W: incoherent-version-in-changelog 1.3-3 ['1.5-3.fc14', '1.5-3']
yubikey-ksm.noarch: E: non-readable /etc/ykksm/ykksm-config.php 0640L
yubikey-ksm.noarch: W: no-manual-page-for-binary ykksm-export
yubikey-ksm.noarch: W: no-manual-page-for-binary ykksm-checksum
yubikey-ksm.noarch: W: no-manual-page-for-binary ykksm-gen-keys
yubikey-ksm.noarch: W: no-manual-page-for-binary ykksm-import
1 packages and 0 specfiles checked; 1 errors, 5 warnings.

Non-readable error is false positive.
Minor issue - the last changelog entry in the spec uses the wrong
version, should bump version and reset the release.

OK - package meets naming guidelines
OK - spec file name matches base package name
OK - meets packaging guidelines
OK - meets licensing guidelines
OK - license field matches
OK - spec in American English
OK - spec is legible
OK - spec sources match upstream
OK - builds in mock
OK - no bundled libs
OK - owns its directories, does not own files owned by other packages
OK - does not list a file more than once
OK - permissions are OK
OK - consistently uses macros
OK - contains code or permissible content
OK - files in %doc do not affect runtime
OK - filenames valid UTF-8

SHOULD: If the source package does not include license text(s) as a
separate file from upstream, the packager SHOULD query upstream to
include it.

APPROVED

Comment 4 Dennis Gilmore 2011-01-26 02:03:53 UTC
Package Name: yubikey-ksm
Short Description: The YubiKey Key Stroage Module
Owners: ausil
Branches: el6 f13 f14
InitialCC:

Comment 5 Dennis Gilmore 2011-01-26 02:08:23 UTC
New Package SCM Request
=======================
Package Name: yubikey-ksm
Short Description: The YubiKey Key Stroage Module
Owners: ausil
Branches: el6 f13 f14
InitialCC:

Comment 6 Dennis Gilmore 2011-01-26 02:12:09 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-01-26 03:52:49 UTC
yubikey-ksm-1.5-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/yubikey-ksm-1.5-3.el6

Comment 8 Fedora Update System 2011-01-26 03:53:20 UTC
yubikey-ksm-1.5-3.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/yubikey-ksm-1.5-3.fc13

Comment 9 Fedora Update System 2011-01-26 03:54:08 UTC
yubikey-ksm-1.5-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/yubikey-ksm-1.5-3.fc14

Comment 10 Fedora Update System 2011-01-26 19:01:57 UTC
yubikey-ksm-1.5-3.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yubikey-ksm'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/yubikey-ksm-1.5-3.el6

Comment 11 Fedora Update System 2011-02-13 00:18:31 UTC
yubikey-ksm-1.5-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-02-13 08:47:45 UTC
yubikey-ksm-1.5-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-02-13 08:55:26 UTC
yubikey-ksm-1.5-3.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.